Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.4.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.omg.PortableInterceptor
Interface IORInfoOperations

All Known Subinterfaces:
  IORInfo

public interface IORInfoOperations

Provides the server-side ORB service with access to the applicable policies during IOR construction and the ability to add components. The ORB passes an instance of its implementation of this interface as a parameter to `IORInterceptor.establish_components`.

See Also:
  `IORInterceptor`

Method Summary
`void` | `add_ior_component_to_profile(TaggedComponent tagged_component, int profile_id)` A portable ORB service implementation calls `add_ior_component_to_profile` from its implementation of `establish_components` to add a tagged component to the set which will be included when constructing IORs.
`void` | `add_ior_component(TaggedComponent tagged_component)` A portable ORB service implementation calls `add_ior_component` from its implementation of `establish_components` to add a tagged component to the set which will be included when constructing IORs.
`Policy` | `get_effective_policy(int type)` Allows an ORB service implementation to determine what server side policy of a particular type is in effect for an IOR being constructed.

Method Detail

### get_effective_policy

    public Policy get_effective_policy(int type)

  Allows an ORB service implementation to determine what server side policy of a particular type is in effect for an IOR being constructed. When the IOR being constructed is for an object implemented using a POA, all Policy objects passed to the `PortableServer.POA.create_POA` call that created that POA are accessable via `get_effective_policy`.

  If a policy for the given type is not known to the ORB, then this operation will throw `INV_POLICY` with a standard minor code of 2.

  Parameters:
    `type` - an int specifying the type of policy to return.
  Returns:
    The effective `CORBA.Policy` object of the requested type. If the given policy type is known, but no policy of that type is in effect, then this operation will return a nil object reference.

### add_ior_component

    public void add_ior_component(TaggedComponent tagged_component)

  A portable ORB service implementation calls `add_ior_component` from its implementation of `establish_components` to add a tagged component to the set which will be included when constructing IORs. The components in this set will be included in all profiles.

  Any number of components may exist with the same component ID.

### add_ior_component_to_profile

    public void add_ior_component_to_profile(TaggedComponent tagged_component,
                                             int profile_id)

  A portable ORB service implementation calls `add_ior_component_to_profile` from its implementation of `establish_components` to add a tagged component to the set which will be included when constructing IORs. The components in this set will be included in the specified profile.

  Any number of components may exist with the same component ID.

  Parameters:
    `profile_id` - The profile id of the profile to which this component will be added.
  Throws:
    `BAD_PARAM` - thrown, with a standard minor code of 29, if the given profile ID does not define a known profile or it is impossible to add components to that profile.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.4.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Java, Java 2D, and JDBC are trademarks or registered trademarks of Sun Microsystems, Inc. in the US and other countries.
Copyright 1993-2002 Sun Microsystems, Inc. 901 San Antonio Road
Palo Alto, California, 94303, U.S.A. All Rights Reserved.